Trouble downloading the current version of our iOS app

DoubleDown Casino for iPhone, iPad, and iPod Touch now requires iOS 8.0 or above. If your device is running an older version of iOS, it will not be able to run our app.

We recommend checking to see if your device can be updated to a newer iOS version. 

To check for an iOS update, launch the Settings app. In the left hand menu, choose General, then Software Update. If there is an update available, it will prompt you to Download and Install.

Was this article helpful?
9 out of 13 found this helpful
Have more questions? Submit a request